Bug 473831 - list of wireless connections are three times
list of wireless connections are three times
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 18:38 EST by Petr Sklenar
Modified: 2009-04-08 21:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-08 21:47:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
list of wireless connections (218.11 KB, image/jpeg)
2008-11-30 18:38 EST, Petr Sklenar
no flags Details

  None (edit)
Description Petr Sklenar 2008-11-30 18:38:55 EST
Created attachment 325160 [details]
list of wireless connections

Description of problem:
list of wireless connections are shown three times during three founded network

Version-Release number of selected component (if applicable):
# rpm -qa Network*
NetworkManager-0.7.0-0.12.svn4326.fc10.i386
NetworkManager-vpnc-0.7.0-0.11.svn4326.fc10.i386
NetworkManager-gnome-0.7.0-0.12.svn4326.fc10.i386
NetworkManager-glib-0.7.0-0.12.svn4326.fc10.i386
NetworkManager-openvpn-0.7.0-16.svn4326.fc10.i386


How reproducible:
sometime, every ten machine restart

Steps to Reproduce:
1. click to icon of NetworkManager
2. see Wireless network list
  
Actual results:
same connection are shown manytimes

Expected results:
one line per one connection

Additional info:
see screenshot
Comment 1 Dan Williams 2009-02-13 07:42:31 EST
Does this still happen with latest updates?  This looks like a HAL problem, becuase NetworkManager gets its list of devices from HAL.  Can you paste in the result of the following command when executed in a terminal?

lshal | grep info.capabilities | grep net

For example, on my system with one ethernet device and one wifi device:

[dcbw@localhost ~]$ lshal | grep info.capabilities | grep net
  info.capabilities = {'net', 'net.80211'} (string list)
  info.capabilities = {'net', 'net.80203', 'wake_on_lan'} (string list)
[dcbw@localhost ~]$
Comment 2 Jessica Sterling 2009-03-26 15:52:11 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Petr Sklenar 2009-04-06 08:44:37 EDT
Re: Comment #1

It saw this issue on one machine, after that time I didn't see it so I cannot provide more info.
Comment 4 Dan Williams 2009-04-08 21:47:25 EDT
Ok, thanks for the update.  Closing.  If you get this again, please grab the output of 'lshal' and attach to the bug.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.